<!doctype html>
<html lang="en">
<head>
  <!-- Google tag (gtag.js) -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-3SVS4XQ47V"></script>
  <script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-3SVS4XQ47V');
  </script>
  <meta charset="utf-8">
  <meta name="author" content="Jim Hefferon" />
  <meta name="copyright" content="Contents of this HTML page and its CSS is CCSA 4.0." />
  <link rel="canonical" href="https://hefferon.net/source.html" />
  <meta property="og:locale" content="en_US" />
  <meta property="og:type" content="website" />
  <meta property="og:title" content="Free Math Texts: source and license, from Jim Hefferon" />
  <meta property="og:description" content="Free Math Texts, source and license information from Jim Hefferon" />
  <meta property="og:url" content="https://hefferon.net/source.html" />
  <meta property="og:site_name" content="Free Math and Computer Science texts" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Literata">
  <link rel="stylesheet" href="hefferon.css">
  <title>Free Math Texts: license and source</title>
</head>

<body>
  <div id="container">
    <div id="header">
      <p>
	License and source information
      </p>
    </div>
    <div id="content">
      <div id="innercontent">
	<p>
	  All of the material on this site is Free, with open source.
	  In particular, this applies to the textbooks
	  <a href="linearalgebra/"><i>Linear Algebra</i></a>,
	  <a href="computation/"><i>Theory of Computation</i></a>,
	  and
	  <a href="proofs/"><i>Introduction to Proofs</i></a>.
	</p>
	<h3>
	  License
	</h3>
	<p>
	  The material is Free.
	  Use it under either the
	  <a href="https://www.gnu.org/copyleft/fdl.html">GNU Free Documentation License</a>
	  or the <a rel="license" href="https://creativecommons.org/licenses/by-sa/3.0/us/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-sa/3.0/us/80x15.png" /></a> <a rel="license" href="https://creativecommons.org/licenses/by-sa/3.0/us/">Creative Commons Attribution-ShareAlike 3.0 United States License</a>,
	  at your discretion.
	</p>  
	<p>
	  For bookstores:&nbsp;thank you for being concerned with my rights.
	  I give instructors permission
	  to make copies of this material, either electronic or paper,   
	  and give or sell those to students.
	</p>
	<p>
	  I have tried to use only materials whose license
	  allows me to share them.
	  If I made a mistake and used something of yours that I shouldn't 
	  have then I apologize; please
	  <a href="jimhefferon.html">contact me</a>.
	</p>

	<h3>Source code</h3>
	<p>
	  If you are into <span class="latex">L<sup>a</sup>T<sub>e</sub>X</span>
	  then you may be interested in my
	  <a href="https://gitlab.com/jim.hefferon/">repository</a>.
	</p>
        <p>
	  One use of the source is for instructors
	  to make small adjustments for their class, such as
	  adding an exercise or a special topic.
	  Feel free, but please also include a statement
	  so that people know who to write with bug reports. 
	  Put something like this on the cover:&nbsp;<code>\fbox{\parbox{0.75\textwidth}{The appendix on induction has been added by Professor Jones of UBU.  For this material contact \url{sjones@example.com}.}}</code>
	</p>

	<h3>Citations</h3>
	<p>
	  I have been asked about citations for the books.
	  This website exists to be a
	  permanent home for links
	  so one like this is good:
	  Hefferon, Jim (2023).
	  <i>Theory of Computation.</i>
	  Open textbook.
	  <code>https://hefferon.net/computation</code>.
	</p>

	<h3>Contributions</h3>
        <p>
          <a href="help.html">If you have something to share</a>,
	  from a bug report to something bigger, then thank you,
	  I'd be interested to see it.
	</p>
      </div>
    </div>

    <div id="navbar">
      <div id="innernavbar">
	<h3>
	  On this site
	</h3>
	<ul>
	  <li><a href="/linearalgebra/"><i>Linear Algebra</i></a>,
	    a popular text for the undergraduate course.</li>
	  <li><a href="/computation/"><i>Theory of Computation</i></a>,
	    a first CS theory text.</li>
	  <li><a href="/proofs/"><i>Introduction to Proofs</i></a>,
	    an Inquiry-Based course.</li>
	  <li><a href="/other/">More</a>,
	    including programs and documents.</li>
	  <li><a href="/jimhefferon.html">About me</a>.</li>
	  <li><a href="/">This site's home page</a>.</li>
	</ul>
      </div>
    </div>
    <div id="footer">
      <a id="contact" href="../jimhefferon.html">Contact me</a>
    </div>
</body>
</html>
